class CloneMich {
    // Was von static gerufen wird, muss static sein.
    static Datum clone(Datum orig) {
        // Die Lokale Referenz zeigt auf neues Objekt.
        Datum doppel = new Datum();

        // Das Objekt wird mit Daten der uebergebenen Referenz gefuellt.
        doppel.tag = orig.tag;
        doppel.monat = orig.monat;
        doppel.jahr = orig.jahr;
        return doppel; //  Referenz wird an Aufrufer zurueckgegeben.
    }

    static public void main(String[] arg) {
        Datum meinGeburtstag = new Datum();
        meinGeburtstag.tag = 24;
        meinGeburtstag.monat = 4;
        meinGeburtstag.jahr = 1960;
        // Grzimeks Geburtstag wird uebernommen.
        Datum grzimeksGeburtstag = clone(meinGeburtstag);
        // Grzimek hatte aber ein anderes Geburtsjahr.
        grzimeksGeburtstag.jahr = 1909;
        // Und nun sollte mein Geburtsjahr erhalten geblieben sein.
        System.out.println(meinGeburtstag.jahr);
    }
}

