public class Datum {
    private int jahr;
    private int monat;
    private int tag;
    public Datum clone() {
        Datum doppel = new Datum();
        doppel.tag = this.tag;
        doppel.monat = this.monat;
        doppel.jahr = this.jahr;
        return doppel;
    }
    public boolean equals(Datum vgl) {
        return vgl.jahr == this.jahr
               && vgl.monat == this.monat
               && vgl.tag == this.tag;
    }
    // Die Methode zum Addieren a la Bank
    void setDatum(int pTag, int pMonat, int pJahr) {
        tag=pTag; monat=pMonat; jahr=pJahr;
    }
    static final int TAGE = 30;
    static final int MONATE = 12;
    public void add(int tage) {
        if (tage>0) {
            this.tag += tage;
            while (tag>TAGE) {
               tag -= TAGE;
               monat++;
               if (monat>MONATE) {
                  monat -= MONATE;
                  jahr++;
               }
            }
        }
    }
    void print() {
        System.out.print(""+tag+"."+monat+"."+jahr);
    }
}

