import java.util.Random;

public class LottoPaare {

    public static void main(String[] args) {
        final int MAX = 6;
        int lotto[] = new int[MAX];
        long anzahlZiehungen = 0;
        long anzahlDoppelte = 0;
        Random zufall = new Random();
        for (int ziehungen=0; ziehungen<1000000; ziehungen++) {
            for (int i=0; i<MAX; i++) {
                boolean doppelt = false;
                do {
                    lotto[i] = Math.abs(zufall.nextInt())
                            % 49 + 1;
                    doppelt = false;
                    for (int j=0; j<i; j++) {
                        if (lotto[i]==lotto[j]) {
                            doppelt = true;
                        }
                    }
                } while(doppelt);
            }
            // Lottozahlen sind gezogen
            boolean paar = false;
            for (int i=0; i<MAX; i++) {
                for (int j=0; j<i; j++) {
                    if (Math.abs(lotto[i]-lotto[j]) == 1) {
                        paar = true;
                    }
                }
            }
            if (paar) {
                anzahlDoppelte++;
            }
            anzahlZiehungen++;
        }
        System.out.println("Verhältnis: "
            + 1.0*anzahlDoppelte/anzahlZiehungen);
    }
}

