import javax.swing.JFrame;
import javax.swing.*;
import java.awt.GridLayout;
import java.awt.event.*;

public class Menue extends JFrame implements ActionListener {

    JMenuItem dateiOeffnen, dateiSpeichern,
              dateiSpeichernUnter, dateiQuit;
    JMenuItem hilfeUeber;
    JLabel labName;

    public Menue() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLayout(new GridLayout(2, 1));
        add(new JLabel("Hier koennte Ihre Werbung stehen!"));
        labName = new JLabel("---nichts---");
        add(labName);

        JMenuBar leiste = new JMenuBar();
        JMenu datei = new JMenu("Datei");
        leiste.add(datei);
        dateiOeffnen = new JMenuItem("Oeffnen...");
        datei.add(dateiOeffnen);
        dateiOeffnen.addActionListener(this);
        dateiSpeichern = new JMenuItem("Speichern");
        datei.add(dateiSpeichern);
        dateiSpeichern.addActionListener(this);
        dateiSpeichernUnter
                = new JMenuItem("Speichern unter...");
        datei.add(dateiSpeichernUnter);
        dateiSpeichernUnter.addActionListener(this);
        dateiQuit = new JMenuItem("Ende");
        datei.add(dateiQuit);
        dateiQuit.addActionListener(this);

        JMenu hilfe = new JMenu("Hilfe");
        leiste.add(hilfe);
        hilfeUeber = new JMenuItem("Ueber");
        hilfe.add(hilfeUeber);
        hilfeUeber.addActionListener(this);

        setJMenuBar(leiste);
        pack();
        setVisible(true);
    }

    public static void main(String[] args) {
        new Menue();
    }

    @Override public void actionPerformed(ActionEvent ev) {
        if (ev.getSource()==dateiOeffnen) {
            JFileChooser auswahl = new JFileChooser();
            if (auswahl.showOpenDialog(this)
                    ==JFileChooser.APPROVE_OPTION) {
                labName.setText(auswahl.getSelectedFile()
                                       .getName());
            }
        } else if (ev.getSource()==dateiSpeichern) {
        } else if (ev.getSource()==dateiSpeichernUnter) {
            JFileChooser auswahl = new JFileChooser();
            if (auswahl.showSaveDialog(this)
               ==JFileChooser.APPROVE_OPTION) {
                labName.setText(auswahl.getSelectedFile()
                                       .getName());
            }
        } else if (ev.getSource()==dateiQuit) {
            System.exit(0);
        } else if (ev.getSource()==hilfeUeber) {
            JOptionPane.showMessageDialog(null,"Ein Menue!");
        } else {
            JOptionPane.showMessageDialog(null,"Was ist das?");
        }
    }
}

