import java.io.RandomAccessFile;
import java.io.FileNotFoundException;
import java.io.IOException;

public class DBase {

    static final int DBFHEADER = 16;
    public static int unsign(byte wert) {
       return (wert < 0 ? 256 + wert : wert);
    }

    static public void main(String[] args) {
        byte [] dbfHeader = new byte[DBFHEADER];

        try {
            RandomAccessFile datei
                = new RandomAccessFile("test.dbf", "rw");
            datei.read(dbfHeader);
            datei.close();
        } catch(FileNotFoundException e) {
            System.out.println("Datei nicht vorhanden.");
            System.exit(1);
        } catch(IOException e) {
            System.out.println("Dateifehler.");
            System.exit(2);
        }

        long recordZahl = unsign(dbfHeader[4]) +
                          unsign(dbfHeader[5])*0x100L +
                          unsign(dbfHeader[6])*0x10000L +
                          unsign(dbfHeader[7])*0x1000000L;
        System.out.println("Anzahl der Records: " + recordZahl);

        long offset = unsign(dbfHeader[8]) +
                      unsign(dbfHeader[9])*0x100L;
        System.out.println("Offset: " + offset);

        long recordGroesse = unsign(dbfHeader[10]) +
                             unsign(dbfHeader[11])*0x100L;
        System.out.println("Record-Groesse: " + recordGroesse);
    }
}

