import java.sql.*;
import java.util.Properties;

public class CreateBonbonbude {
    final static String tableName = "Artikel";
    final static String dbName = "Bonbonbude";

    public CreateBonbonbude() {
         try {
            Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
        } catch (ClassNotFoundException e) {
            System.out.println("JDBC-Treiber fehlt. Programmende.");
            System.exit(1);
        }
    }
    public static void main(String args[]) {
        CreateBonbonbude db = new CreateBonbonbude();
        try{
            Connection dbConnect = db.connect();
            db.create(dbConnect);
            dbConnect.close();   // Datenbank schliessen
        } catch (SQLException e) {
            System.out.println(e.toString());
            System.out.println("Status: " + e.getSQLState());
            System.out.println("Error: " + e.getErrorCode());
        }
    }
    public Connection connect() throws SQLException {
        Properties properties = new Properties();
        properties.put("user", "arnold");
        properties.put("password", "geheim");
        Connection dbConnect = DriverManager.getConnection(
                 "jdbc:derby:"+dbName+";create=true", properties);
        return dbConnect;
    } 
    public void create(Connection connection) throws SQLException {
        System.out.println("Creating Table " + tableName); 
        Statement statement = connection.createStatement();
        statement.execute("create table "+ tableName +" ( "
              + " name  varchar(32), "
              + " preis dec(10,2), "
              + " menge int "
              + " )");
        statement.close();
    }
}

