import javax.swing.*;
import java.awt.*;

public class FontListe extends JFrame {

    public FontListe() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Fontliste");
        setSize(400, 300);
        setVisible(true);
    }

    @Override public void paint(Graphics g) {
        Insets insets = getInsets();
        int links  = insets.left;
        int oben   = insets.top;
        int breite = getSize().width-insets.left-insets.right;
        int hoehe  = getSize().height-insets.top-insets.bottom;
        int fontSize = 20;
        GraphicsEnvironment gEnv =
                GraphicsEnvironment.getLocalGraphicsEnvironment();
        String []fontName = gEnv.getAvailableFontFamilyNames();
        for (int i=0; i<fontName.length; i++) {
            g.setFont(new Font(fontName[i], Font.PLAIN, fontSize));
            g.drawString(fontName[i], links+5, 
                         oben+(i+1)*(fontSize+4));
        }
    }
    public static void main(String[] args) {
        new FontListe();
    }
}

