import javax.swing.*;
import java.awt.event.*;
public class MeinClosedFrame extends JFrame {

    class MeinWindowAdapter extends WindowAdapter {
        @Override public void windowClosing(WindowEvent ev) {
             // Hier stehen die Endabwicklungen
             System.out.println("Und tschüss!");
             dispose(); // macht das Fenster kaputt
             System.exit(0); // macht das Programm kaputt
        }
    }

    MeinClosedFrame() {
        MeinWindowAdapter meinAdapter = new MeinWindowAdapter();
        addWindowListener(meinAdapter);
        this.setSize(400, 300);
        this.setVisible(true);
    }
    public static void main(String[] args) {
        new MeinClosedFrame();
    }
}

