import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;

public class My2D extends JFrame {

  Image img;

  public static void main(String[] args) {
    My2D fenster = new My2D();
    fenster.setTitle("Zeichnen mit Java");
    fenster.setSize(400, 300);
    fenster.setVisible(true);
  }

  public My2D() {
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    img = Toolkit.getDefaultToolkit().getImage("squirrel.gif");
  }

  public void paint(Graphics pg) {
         Graphics2D g = (Graphics2D)pg;

         g.setStroke(new BasicStroke(1));
         Area area = new Area ( new Rectangle2D.Double ( 0, 0, 100, 100 ) );
         area.add ( new Area ( new Ellipse2D.Double ( 0, 50, 100, 100 ) ) );
         g.setColor(Color.yellow);
         g.fill(area);
         g.setColor(Color.black);
         g.draw(area);
         g.clip(area);

         double links = 10.0; double oben = 30.0;
         double breite = 100.0; double hoehe = 80.0;
         Line2D line = new Line2D.Double(links, oben, links+100, oben);
         g.setColor(new Color(0, 0xFF, 0, 0xFF));
         g.setStroke(new BasicStroke(10));
         g.draw(line);
         Rectangle2D rect = new Rectangle2D.Double(links, oben, breite, hoehe);
         g.setColor(Color.red);
         g.draw(rect);
         g.setPaint(
             new GradientPaint(0, 0, Color.blue, 50, 25, Color.green, true));
         g.fill(rect);
  }
}

