import javax.swing.*;
import java.awt.*;

public class WahlTorte extends JFrame {

    public WahlTorte() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Wahltorte 1969");
        setSize(400, 300);
        setVisible(true);
    }

    @Override public void paint(Graphics g) {
        Insets insets = getInsets();
        int x  = insets.left;
        int y   = insets.top;
        int breite = getSize().width-insets.left-insets.right;
        int hoehe  = getSize().height-insets.top-insets.bottom;

        int cdu = 461;
        int spd = 427;
        int fdp = 58;
        int summe = cdu + spd + fdp;
        final int vollkreis = 360;
        cdu = cdu * vollkreis / summe;
        spd = spd * vollkreis / summe;
        fdp = fdp * vollkreis / summe;
        g.setColor(Color.black);
        g.fillArc(x, y, breite, hoehe, 0, cdu);
        g.setColor(Color.yellow);
        g.fillArc(x, y, breite, hoehe, cdu+1, fdp);
        g.setColor(Color.red);
        g.fillArc(x, y, breite, hoehe, cdu+fdp+2, spd);
    }

    public static void main(String[] args) {
        new WahlTorte();
    }
}

