import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class BermudaApplet extends JApplet implements MouseListener {

    SpielFeld sf = null;
    boolean spielEnde = false;    // ist das Spiel beendet worden?
    String StatusStr = "                ";

    @Override public void init() {
        this.addMouseListener(this); // fange die Mausereignisse
        this.setSize(320,200);
        sf = new SpielFeld();
    }

    // Anzeige des Spielfelds findet durch repaint statt
    @Override public void paint(Graphics g) {

        g.clearRect(0, 0, (sf.MaxX+2)*20, (sf.MaxY+2)*20);

        for (int i=0; i<sf.MaxX; i++) {
            for (int j=0; j<sf.MaxY; j++) {
                String str = String.valueOf(sf.get(i,j));
                g.drawString(str, (i+1)*20, (j+1)*20);
            }
        }
        g.drawString(StatusStr, 10, (sf.MaxY+1) * 20);
    }

    // der Benutzer tut was relevantes, er klickt mit der Maus
    @Override public void mouseClicked(MouseEvent me) {
        if (!spielEnde) {
            int x = (me.getX()-10)/20;
            int y = (me.getY()-10)/20;
            char c = sf.suche(x, y);
            if (c==sf.SCHIFF) {
                if (sf.alleGefunden()) {
                    // alle gefunden: GEWONNEN!
                    spielEnde = true;
                    StatusStr = "Gewonnen! Mausklick: neues Spiel";
                }
            }
        } else {
            // sonderfall: Mausklick, um Sieg zu bestaetigen
            spielEnde = false;
            StatusStr = "                  ";
            sf = new SpielFeld();
        }
        repaint();
    }
    // zur Realisierung des Interface, auch wenn wir die Methoden nicht brauchen...
    @Override public void mouseReleased(MouseEvent me) { }
    @Override public void mousePressed(MouseEvent me)  { }
    @Override public void mouseEntered(MouseEvent me)  { }
    @Override public void mouseExited(MouseEvent me)   { }
}

