import java.util.*;

public class ComparatorTest {
    static final Comparator<Vergleichbar> ISLAND =
                                 new Comparator<Vergleichbar>() {
        public int compare(Vergleichbar orig, Vergleichbar vgl) {
            int vergleichsWert = 0;
            vergleichsWert = orig.vorname.compareTo(vgl.vorname);
            if (vergleichsWert==0) {
                 vergleichsWert =
                      orig.nachname.compareTo(vgl.nachname);
            }
            return vergleichsWert;
        }
    };

    public static void main(String[] args) {
        Vergleichbar nameArray[] = {
            new Vergleichbar("Helmut", "Schmidt"),
            new Vergleichbar("Karl", "Bart"),
            new Vergleichbar("Marta", "Haari"),
            new Vergleichbar("Peter", "Schulz"),
            new Vergleichbar("Ingrid", "Schulz")
        };
        List<Vergleichbar> names = Arrays.asList(nameArray);
        Collections.sort(names, ISLAND);
        System.out.println(names);
    }
}

