import java.util.LinkedList;
import java.util.Queue;
import java.util.NoSuchElementException;

class QueueMist {
    class Mitarbeiter {
        String name;
    }
    class Rechnung {
        float summe;
    }
    QueueMist() {
        Queue<Rechnung> stapel = new LinkedList<Rechnung>();
        Mitarbeiter prokurist = new Mitarbeiter();
        for (int i=0; i<12; i++) {
            Rechnung rechnung = new Rechnung();
            rechnung.summe = i;
            stapel.add(rechnung);
        }
        try {
            Rechnung neueRechnung = stapel.remove();
            while (neueRechnung!=null) {
                System.out.println(neueRechnung.summe);
                neueRechnung = stapel.remove();
            }
        } catch (NoSuchElementException e) {
            System.out.println("Der Stapel ist leer!");
        }
        // stapel.add(prokurist); // Compilerfehler!!
    }
    public static void main(String[] args) {
        new QueueMist();
    }
}
