public class ThreadInterrupt extends Thread {

    @Override public void run() {
        for (int i=0; i<100000; i++) {
            try {
                Thread.sleep(20*1000);
            } catch (InterruptedException e) {
                break;
            }
        }
        System.out.println("Ende des Threads");
    }

    public static void main(String[] args) {
        Thread myThread = new ThreadInterrupt();
        myThread.start();
        System.out.println("Thread wurde gestartet");
        try {
            Thread.sleep(1*1000);
        } catch (InterruptedException e) {
        }
        System.out.println("Interrupt!");
        myThread.interrupt();
        System.out.println("Ende main");
    }
}

